Method: partners.tickets.comments.create

Creates a comment on a Support Ticket. This RPC is used by the Partner Operations API's clients to create a comment on a Support Ticket, with optional attachments.

HTTP request

POST https://partneroperations.googleapis.com/v1/{parent=partners/*/tickets/*}/comments

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Parent ticket to create the comment for. Format: partners/{partner}/tickets/{ticket}

Request body

The request body contains data with the following structure:

JSON representation
{
  "comment": {
    object (Comment)
  },
  "commentId": string,
  "attachmentContents": [
    {
      object (AttachmentContent)
    }
  ]
}
Fields
comment

object (Comment)

Required. Comment to add to the ticket.

commentId

string

Optional. The ID to use for the comment, which will become the final component of the comment's resource name.

This value must be 4-63 characters, and may contain only lowercase letters, numbers, and hyphens. It must start with a letter or number.

attachmentContents[]

object (AttachmentContent)

Optional. Attachments to add with the comment. The combined size of all attachments must not exceed 10MB.

Response body

If successful, the response body contains a newly created instance of Comment.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/partner-operations

AttachmentContent

Represents file content and metadata for upload.

JSON representation
{
  "filename": string,
  "mimeType": string,
  "data": string
}
Fields
filename

string

Required. File name of the attachment.

mimeType

string

Required. MIME type of the attachment.

data

string (bytes format)

Required. Attachment content. Must be Base64 encoded in JSON requests.

A base64-encoded string.